import {select,json,geoPath,geoMercator,scaleOrdinal,schemeCategory10} from 'd3';
import { feature } from 'topojson';

const svg = select('svg');

const projection = geoMercator()
  .translate([-1780, 1090])
  .scale([1600]);
const pathGenerator = geoPath().projection(projection);

const colorScale = scaleOrdinal(schemeCategory10);

json(
  'https://gist.githubusercontent.com/Mahitha-Moparthi/4d5bbb5ed5a7b11797ce9201704556c6/raw/61dbb292199de98cf9f9281eb1dbf635df2714f6/India.json'
).then((data) => {
  const countryShapes = feature(
    data,
    data.objects.IND_adm1
  );
countryShapes.features.shift()
 //countryShapes.features.forEach((d) => console.log(d.properties)  );
 
  svg
    .selectAll('path')
    .data(countryShapes.features)
    .enter()
    .append('path')
    .attr('class', 'states')
    .attr('fill', (d) => colorScale(d.properties.NAME_1))
    .attr('d', (d) => pathGenerator(d))
    .append('title')
    .text((d) => d.properties.NAME_1);
});